
Katello - Bug #4610

Legacy sync status "Synchronize now" triggers the synchronization twice for every repo

03/10/2014 01:06 PM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1112763 Red Hat JIRA:  

Pull request:    

Description

How to reproduce:

1. Go to sync status page

2. select one repo

3. click "Synchronize now"

4. the `sync` request gets sent twice

Associated revisions

Revision 3261c9d4 - 06/12/2014 06:27 PM - Eric Helms

Fixes #4610: Stop double submission of sync action on sync management.

Removes the inclusion of rails.js from the Katello javascript since

Foreman provides this JS library.

Revision 590f27c7 - 06/16/2014 12:54 PM - Eric Helms

Merge pull request #4259 from ehelms/fixes-4610

Fixes #4610: Stop double submission of sync action on sync management.

History

#1 - 04/25/2014 12:11 PM - Justin Sherrill

- translation missing: en.field_release set to 13

- Triaged set to No

#2 - 06/04/2014 03:32 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 06/05/2014 03:43 AM - Eric Helms

- Target version set to 45

#4 - 06/11/2014 09:43 PM - Eric Helms

- translation missing: en.field_release deleted (13)

#5 - 06/12/2014 06:43 PM - Eric Helms

- Assignee set to Eric Helms

#6 - 06/16/2014 12:19 PM - Eric Helms

- Target version changed from 45 to 48

#7 - 06/16/2014 01:52 PM - Eric Helms
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:3261c9d41ee07d2e5fa8452d2d3b69ce0f20e9e8.

#8 - 06/24/2014 03:57 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112763

#9 - 08/21/2014 02:30 PM - Eric Helms

- translation missing: en.field_release set to 13
